[Q] A9LH Process and Gateway Emunand Data

Discussion in '3DS - Flashcards & Custom Firmwares' started by felystar, Jul 1, 2016.

  1. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    Hello guys,

    After some months away from 3DS Scene (college...) I've come back to it and found out everything about AL9H. I want to take advantage of those loading times, and finally get into the CFW stuff. So I decided to install it, but I have some questions.

    I am a Gateway user and have my EmuNAND with my original data from MiiPlaza, MiiEditor, and so on. However, I will be deleting this emunand after installing A9LH, and I will use GW payload to use my cart, so I want to know how can I copy all the data from this apps to the new RedNAND I will be creating to install A9LH. I've used SaveDataFiler to extract those savegames from CIA files I have but I cannot use it with system titles as MiiPlaza, so, how can I do it?

    I suppose it's not possible to use the existing EmuNAND in the A9LH proccess, right? However, I think it's better to create a new RedNAND as I will be copying it to the sysNAND in the last step of the A9LH install guide from Plailect.

    I remember that before doing the downgrade to 4.5 to use Gateway I make a backup of my original 9.2 SysNAND with my MiiPlaza and the rest apps, so maybe I can use this to update my console from 4.5 to 9.2 and have my data there, and when I create the RedNAND everything is in it?

    Thank you for your help :D
     
    Last edited by felystar, Jul 1, 2016


  2. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    You can make a backup of your emunand and restore it later to avoid losing anything. You will need a fresh emunand/rednand for the process though so I'd recommend backing up the SD, game saves, etc.
    A emunand is treated like a separate console and I think that other then decrypting everything and injecting it into the new rednand you'll be SOL for data recovery if you plan to try to switch over. If you're using an original 3ds you don't even save all that much space with a rednand.

    Side note: make sure to use the open source stuff for installing a9lh. If you use gateway's solution you'll be on partly out of date software and your 3ds will be married to the card, meaning it WON'T boot with out.

    Edit: with a9lh you don't even need an emunand anymore, updated sysnand baby!
     
    Last edited by ishygdaft, Jul 1, 2016
  3. TheVinAnator

    TheVinAnator GBATemp's Greatest Vin

    Member
    3,526
    2,491
    Jan 10, 2016
    Canada
    NO COFFEI!
    You don't need a new emunand or rednand I've done it in my o3ds and n3ds with a bunch of data.

    Follow the guide and you lose nothing although you should get yourself back to 9.2 with the backup before beginning. And you won't need emunand or rednand after installation anymore and there's many goodies with gateway that other people can explain
     
  4. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    I was going under the assumption that he was gonna format for safety reasons. I mean you can forgo it but I don't think it's the best idea. Still, others have and it seems fine.
     
    gnmmarechal and TheVinAnator like this.
  5. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,417
    May 1, 2016
    United States
    Actually it's best for him to start fresh using his original 9.2 backup. This is because he said he downgraded to 4.5 via GW Menu, as such he might encounter the following error with Luma3DS.
    Link: https://github.com/AuroraWright/Lum...-downgraded-from-the-gateway-menu-in-the-past
     
    TheVinAnator and ishygdaft like this.
  6. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    Oh hey, if you plan on using the gateway arm9loaderhax.bin I'd recommend you install v1.0 of a9lh or get bootCTR9 and use version 2.x
     
    Last edited by ishygdaft, Jul 1, 2016
  7. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,417
    May 1, 2016
    United States
    No need stop using Luma3DS. I wrote a guide on how to get it to work with v2.

    Link: https://gbatemp.net/threads/431691/
     
    ishygdaft likes this.
  8. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    I was recommending the bootCTR9 approach because of your guide actually, small world.
    To be honest I more or less skimmed through it the first time, not owning a gateway myself.
    Nice fix though, glad you could help people.

    Edit: I got the name wrong, whoops.
     
    Last edited by ishygdaft, Jul 1, 2016
  9. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    Thank you so much for answering. I believe that restoring my 9.2 backup will work to keep my data, as I've already extracted all saves I wanted. However I'm not sure how to do it, should I use Gateway menu or any other app through the Homebrew Channel? I've been a really long time out of this world.

    And by the way, after the whole A9LH process, my sysNAND (with Luma3DS) should have everything that my initial sysNAND had, right? I also want to do this in a friend's consoleand I don't want her to loose her data.

    Thank you
     
    TheVinAnator likes this.
  10. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,417
    May 1, 2016
    United States
    Don't see why you can't use the GW menu to restore to 9.2. After that, just use the tools Plailect's A9LH Guide makes you use. And yes, you should have everything that your initial sysNAND had.
    Link:https://github.com/Plailect/Guide/wiki

    As for your friend, what is her system on? If you have to downgrade, it's recommend you do a system format, to avoid the issue described here:
    Link: https://github.com/Plailect/PlaiSysUpdater/issues/8#issuecomment-218588857
     
  11. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    As long as you back everything up you should be fine, just make sure your friend isn't on 11.0 because the only way to downgrade that is with a hardmod.
    Also, like @Temptress Cerise said, you should format the friend's console because the 9.2 downgrade is the most dangerous thing you'll be doing.
     
    Last edited by ishygdaft, Jul 1, 2016
  12. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    I had read that thing about formatting, however, she will loose everything, right? Or is there any recovering part after that?

    Thanks
     
  13. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    If you can access JKSM save manager on a homebrew menu you should be able to at least back up saves.
     
  14. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    You mean of installed games, right? She only uses cartridge games.

    By the way, Gateway saves are stored on the SD card, so there is no need to back them up, is there?
     
    Last edited by felystar, Jul 1, 2016
  15. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    I don't have a gateway so I can't really help on that one. I think she'll end up losing her play coins, the activity log, the NNID, mii stuff, and friends list. Since you can't use decrypt9 until you're on 9.2 which has the necessary kernel exploit. Sorry..
     
  16. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    And can you use DS flashcards on Luma 3DS?
     
  17. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    If you could use it before installing Luma, you can use it after.
    Oh, because of some work done by @Apache Thunder if you have some select older card that didn't or used to work on the 3ds, you can use those too.
     
    Last edited by ishygdaft, Jul 1, 2016
  18. felystar
    OP

    felystar GBAtemp Regular

    Member
    158
    25
    Jul 27, 2012
    We have just checked her system version and it is exactly 9.2.0-20, so it means no downgrading and no data losing, am I right?
     
  19. Temptress Cerise

    Temptress Cerise Miss Magic~ <3

    Member
    2,181
    1,417
    May 1, 2016
    United States
    That's correct, just follow Plailect's A9LH Guide, and you and her should be fine. ^_^
     
  20. ishygdaft

    ishygdaft A mystery wrapped in an enigma

    Member
    292
    76
    Jun 20, 2016
    United States
    Pretty lucky I have to admit, yeah you should be clear to go. Make a back up of everything asap.